Bug 1778953 - Standardize Error messages and replacing SEVERE
Summary: Standardize Error messages and replacing SEVERE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: pki-core
Version: 8.2
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 8.0
Assignee: Endi Sukma Dewata
QA Contact: PKI QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-02 22:12 UTC by Geetika Kapoor
Modified: 2020-11-14 10:32 UTC (History)
3 users (show)

Fixed In Version: pki-core-10.6-8020020191211221350.c7c3114f
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-25 14:43:59 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Geetika Kapoor 2019-12-02 22:12:04 UTC
Description of problem:

In 8.2, As we discussed we wanted  to standardize all error
messages to ERROR (all caps) instead of Error (mixed caps).
Currently CI has many failures due to message changes so if we can fix it , QE can make same changes in tests.


Version-Release number of selected component (if applicable):
8.2

How reproducible:

always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Endi Sukma Dewata 2019-12-12 18:48:31 UTC
Fixed in master:
* https://github.com/dogtagpki/pki/commit/1cec322b59418ab913acf12174ff678b01da519c

Comment 2 Geetika Kapoor 2019-12-13 17:18:16 UTC
Hi endi can we check this bug again ...

I can see some change in behavior when same tests are run in f29 + copr(https://copr-be.cloud.fedoraproject.org/results/edewata/pki/) and RHEl 8.2

Below is the difference in behavior:

f29:

[root@pki1 ~]# pki -d /opt/pki/certdb -c SECret.123 -p 20080 -P http -n "CA_AgentV" ca-cert-hold 0x14
Placing certificate on-hold:
  Serial Number: 0x14
  Subject DN: UID=CA_AuditR,E=CA_AuditR@example.org,CN=CA_AuditR,OU=IDMQE,C=US
  Issuer DN: CN=CA Signing Certificate,OU=topology-02-CA,O=topology-02_Foobarmaster.org
  Status: REVOKED
  Not Valid Before: Wed Dec 11 18:13:19 CET 2019
  Not Valid After: Mon Jun 08 18:13:19 CEST 2020
  Revoked On: Wed Dec 11 18:13:27 CET 2019
  Revoked By: caadmin
Are you sure (Y/N)? Y
BadRequestException: certificate #14 has already been revoked
[root@pki1 ~]# cat /etc/os-release 
NAME=Fedora
VERSION="29 (Twenty Nine)"
ID=fedora
VERSION_ID=29
VERSION_CODENAME=""
PLATFORM_ID="platform:f29"
PRETTY_NAME="Fedora 29 (Twenty Nine)"
ANSI_COLOR="0;34"
LOGO=fedora-logo-icon
CPE_NAME="cpe:/o:fedoraproject:fedora:29"
HOME_URL="https://fedoraproject.org/"
DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora/f29/system-administrators-guide/"
SUPPORT_URL="https://fedoraproject.org/wiki/Communicating_and_getting_help"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=29
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=29
PRIVACY_POLICY_URL="https://fedoraproject.org/wiki/Legal:PrivacyPolicy"
[root@pki1 ~]# rpm -qa pki-ca
pki-ca-10.8.0-0.2.20191205182505.694122d1.fc29.noarch


RHEL 8.2:

[root@pki1 ~]# pki -d /opt/pki/certdb -c SECret.123 -p 20080 -P http -n "PKI CA Administrator for Example.Org" ca-cert-hold 0x14
Placing certificate on-hold:
  Serial Number: 0x14
  Subject DN: UID=KRA_AuditR,E=KRA_AuditR@example.org,CN=KRA_AuditR,OU=IDMQE,C=US
  Issuer DN: CN=CA Signing Certificate,OU=topology-02-CA,O=topology-02_Foobarmaster.org
  Status: REVOKED
  Not Valid Before: Fri Dec 13 11:53:29 EST 2019
  Not Valid After: Wed Jun 10 11:53:29 EDT 2020
  Revoked On: Fri Dec 13 11:53:33 EST 2019
  Revoked By: caadmin
Are you sure (Y/N)? Y
PKIException: Bad Request
[root@pki1 ~]# cat /etc/os-release 
NAME="Red Hat Enterprise Linux"
VERSION="8.2 (Ootpa)"
ID="rhel"
ID_LIKE="fedora"
VERSION_ID="8.2"
PLATFORM_ID="platform:el8"
PRETTY_NAME="Red Hat Enterprise Linux 8.2 Beta (Ootpa)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:8.2:beta"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Linux 8"
REDHAT_BUGZILLA_PRODUCT_VERSION=8.2
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Linux"
REDHAT_SUPPORT_PRODUCT_VERSION="8.2 Beta"
[root@pki1 ~]# rpm -qa pki-ca
pki-ca-10.8.0-0.3.module+el8.2.0+5188+04592ebe.noarch

Comment 4 Endi Sukma Dewata 2019-12-18 03:45:13 UTC
Additional changes to fix some issues in comment #3:
* https://github.com/dogtagpki/pki/commit/38bc14912fdc167aa8efd9e9b9aaef192d92f1b0

Comment 11 Endi Sukma Dewata 2020-02-25 14:43:59 UTC
Per discussion with Geetika, this was mainly gating issue and
is already resolved in the latest build, so I'm closing the ticket.


Note You need to log in before you can comment on or make changes to this bug.